How to calculate the area of a rectangular house based on the length of the sides programmed in th

Updated on educate 2024-05-05
3 answers
  1. Anonymous users2024-02-09

    Do you calculate the area in CAD based on the length and width of the house or by selecting the rectangle directly???

    If calculated based on the input length:

    defun c:area2()

    setq dist1(getdist"Please enter the rectangular length:"))setq dist2(getdist"Please enter the width of the rectangle:"))setq area(* dist1 dist2))princ area)

    If it is based on the selection of rectangles in the CAD drawing:

    defun c:area1()

    setq en(car(entsel)))command "area" "o" en )setq area (getvar "area"))princ area)

    It depends on your choice ......

  2. Anonymous users2024-02-08

    defun mj()

    setq l (getreal "Please enter the length (l) of the rectangle"))setq w (getreal "Please enter the width (w) of the rectangle"))setq s (*l w))

    textscr) ;Switch to the text screen.

    princ (strcat "s=" (rtos s)))princ)

  3. Anonymous users2024-02-07

    Multiply the length of the wall line by the height of the floor to get the full wall area.

    The beam line is then calculated, and the area of the beam mouth of the beam on the wall is deducted. The length of the line can be obtained from the area of the bottom of the beam and the area of the side plate of the beam.

    The enclosed range composed of the beam line and the wall line is the slab area, and the length of the slab area can be obtained, and the length multiplied by the thickness can be deducted from the beam dust imitation and the plate thickness of the wall.

    Just follow the above ideas to program.

    The wall line cannot be repeated, and if it is repeated, it will be calculated incorrectly. The program removes duplicate lines from the wall line and gets a closed wall line.

    Beam calculation with autolisp is a bit complicated, first, to identify the beam number, such as: kl1(2) 200x400; The 2 in () indicates that the core root beam is this size, which needs to be calculated continuously. Does not affect other beams.

    Plate area, with the autolisp program, click to get the polyline of the plate closure.

    All the quantities are written on the drawing in the form of text, and autolisp counts it to get the template area.

    Just write it along these lines. Since you write it yourself, you will encounter defects in different drawings, which requires you to constantly patch and improve the program.

Related questions
2 answers2024-05-05

See how you learn!

If you learn by yourself, you can only develop good study habits and learn slowly, and over time, you will eventually be able to learn something! However, it is not recommended for people with poor self-control to study on their own. >>>More

3 answers2024-05-05

The specific steps are as follows:

Clause. 1. Specify what programming language you want to use (C or C++ or whatever); >>>More

10 answers2024-05-05

You start by writing a function to find a sequence.

Then use for or while to call the !! >>>More

6 answers2024-05-05

**The Way of Microsoft Core Technology Series.

Executive summary. From the perspective of a Microsoft insider, this book reveals all aspects of software coding, software testing, and project management. >>>More

8 answers2024-05-05

Isn't it over if you do a division of seconds?